c64sid Class Referenceabstract

`#include <c64sid.h>`

Inheritance diagram for c64sid:

## Public Member Functions

virtual void | reset (uint8_t volume)=0
void | reset ()
void | poke (uint_least16_t address, uint8_t value)
uint8_t | peek (uint_least16_t address)

## Additional Inherited Members

Protected Member Functions inherited from component
virtual uint8_t | read (uint_least8_t addr)=0
virtual void | write (uint_least8_t addr, uint8_t data)=0

## Detailed Description

SID interface.

## Member Function Documentation

## peek()

uint8_t c64sid::peek | ( | uint_least16_t | address | ) |

inline virtual

Bank read. You probably should override this method, except if the Bank is only used in write context.

Parameters

  address | value to read from

Returns
  value at address

Implements Bank.

Reimplemented in sidemu.

## poke()

void c64sid::poke | ( | uint_least16_t | address,
|  | uint8_t | value
| ) |  |

inline virtual

Bank write.

Override this method if you expect write operations on your bank. Leave unimplemented if it's logically/operationally impossible for writes to ever arrive to bank.

Parameters

  address | address to write to
  value | value to write

Implements Bank.

Reimplemented in sidemu.

The documentation for this class was generated from the following file:

- c64sid.h